## upse 0.5.0

=== src/libupse/Makefile ===
LIB = ${LIB_PREFIX}upse${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0

SRCS = upse_string.c			\
       upse_util.c			\
       upse_unpack_psf.c		\
       upse_r3000_bytecode_evaluator.c	\
       upse_r3000_abstract.c		\
       upse_ps1_executive.c		\
       upse_ps1_counters.c		\
       upse_ps1_hal.c			\
       upse_ps1_bios_base.c		\
       upse_ps1_memory_manager.c	\
       upse_ps1_dma_manager.c		\
       upse_ps1_spu_base.c		\
       upse_ps1_spu_dma_handler.c	\
       upse_ps1_spu_register_io.c	\
       upse_ps1_spu_reverb.c		\
       upse_ps1_spu_adsr_filter.c	\

INCLUDES = upse.h upse-types.h

include ../../buildsys.mk
include ../../extra.mk

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../../intl -I../.. -Ispu/ -I.
LIBS += -lz

## upse 0.6.0

=== src/libupse/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 SRCS = upse_string.c			\
        upse_util.c			\
        upse_unpack_psf.c		\
+       upse_bios_manager.c 		\
        upse_r3000_bytecode_evaluator.c	\
        upse_r3000_abstract.c		\
        upse_ps1_executive.c		\

## upse 1.0.0

=== Makefile ===
SUBDIRS = src

include buildsys.mk

=== src/Makefile ===
SUBDIRS = libupse upse-audacious upse123

include ../buildsys.mk

=== src/libupse/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LIB = ${LIB_PREFIX}upse${LIB_SUFFIX}
-LIB_MAJOR = 1
+LIB_MAJOR = 2
 LIB_MINOR = 0
 
 SRCS = upse_string.c			\
@@ -10,6 +10,7 @@
        upse_r3000_abstract.c		\
        upse_ps1_executive.c		\
        upse_ps1_counters.c		\
+       upse_ps1_gpu.c			\
        upse_ps1_hal.c			\
        upse_ps1_bios_base.c		\
        upse_ps1_memory_manager.c	\

=== src/upse-audacious/Makefile ===
PLUGIN = upse-audacious${PLUGIN_SUFFIX}

SRCS = plugin.c

include ../../buildsys.mk
include ../../extra.mk

# XXX
plugindir = `pkg-config audacious --variable=input_plugin_dir`

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${AUDACIOUS_CFLAGS} -I../libupse
LIBS += ${AUDACIOUS_LIBS} -lz -L../libupse -lupse

=== src/upse123/Makefile ===
PROG = upse123${PROG_SUFFIX}

SRCS = upse123_main.c

MAN = upse123.1

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += 
CPPFLAGS += $(AO_CFLAGS) -I../libupse
LIBS += -lz -L../libupse -lupse $(AO_LIBS)

=== debian/changelog ===
upse (1.0.0-4) unstable; urgency=medium

  * QA upload.
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -satb for debian control files
  * Use versioned copyright format URI.
  * Update watch file format version to 4.
  * Bump debhelper from deprecated 8 to 9.
  * Change priority extra to priority optional.
  * include pkgconf build dep
  * include build dep in symbols file
  * add hardening flags
  * add Rules-Requires-Root: no
  * Update to debhelper 10 without autoreconf

 -- Christoph Martin <martin@uni-mainz.de>  Sun, 12 May 2024 17:24:48 +0200

upse (1.0.0-3) unstable; urgency=medium

  * QA upload.
  * debian/clean: created to avoid failure to build source after a successful
    build. (Closes: #1046361)
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.
  * debian/rules: removed trailing whitespace.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 22 Jan 2024 03:20:28 +0000

upse (1.0.0-2) unstable; urgency=low

  * QA Upload
  * Override dh_auto_clean, do not run make clean if buildsys.mk
    does not yet exist, fixes ftbfs (Closes: #724177)

 -- Michael Ablassmeier <abi@debian.org>  Tue, 12 Nov 2013 21:10:40 +0100

upse (1.0.0-1) unstable; urgency=low

  * QA upload
  * Imported Upstream version 1.0.0
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules
    + Drop patch/unpatch
    + Added required build-arch build-indep
  * debian/control:
    + New maintainer Debian QA Group (Closes: #632262)
    + Build-depend on zlib1g-dev
    + Update short description for libupse-dev package
    + Update package name libupse1 to libupse2
    + Do not build upse-audacious plugin, avoid FTBFS
      with audacious 2.4 (Closes: #620915)
      - new patch 0000-drop-upse-audacious-to-build-in-Makefile.patch
      - Removed audacious-dev as Build-Depends
  * debian/rules swithed to use dh $@
  * Bump Standards-Version: 3.9.2
  * Drop obsolete dpatches
  * Refresh fix soname patch in 0001-fix-soname.patch
  * Update debian/copyright at new format
  * Add debian/compat at version 8
  * Add symbols for package libupse2

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 13 Dec 2011 23:29:27 +0100

upse (0.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS against audacious 2.3":
    - build depend on audacious-dev instead of audacious-plugins-dev
    - add patch 02_audacious_2.3.dpatch (taken from Ubuntu)
    Thanks to Benjamin Drung for the bug report and to James Westby for the
    patch; closes: #583985.

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Jun 2010 23:00:47 +0200

upse (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Sat, 09 Feb 2008 23:15:08 -0600

upse (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * upse-audacious package:
    + add Depends on audacious instead of Recommends.

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Thu, 10 Jan 2008 01:22:48 -0600

upse (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #456813)

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Sun, 16 Dec 2007 12:33:01 -0600

=== debian/control ===
Source: upse
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10~),
 libao-dev,
 pkgconf,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: http://nenolod.net/upse
Vcs-Browser: https://salsa.debian.org/debian/upse
Vcs-Git: https://salsa.debian.org/debian/upse.git

Package: libupse-dev
Architecture: any
Section: libdevel
Depends:
 libupse2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: unix playstation sound emulator - library development files
 UPSE is an advanced playstation sound emulator which
 concentrates on sound correctness. It plays PSF and
 MiniPSF format files.
 .
 This package contains the development files for the
 libupse emulation core.

Package: libupse2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: unix playstation sound emulator - library
 UPSE is an advanced playstation sound emulator which
 concentrates on sound correctness. It plays PSF and
 MiniPSF format files.
 .
 This package contains the shared library which contains
 the emulation core.

Package: upse123
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Architecture: any
Description: commandline player based on libupse
 UPSE is an advanced playstation sound emulator which
 concentrates on sound correctness. It plays PSF and
 MiniPSF format files.
 .
 This package contains a commandline player based on
 the upse emulation library.

#Package: upse-audacious
#Depends: ${shlibs:Depends}, ${misc:Depends}), audacious
#Architecture: any
#Description: audacious plugin based on libupse
# UPSE is an advanced playstation sound emulator which
# concentrates on sound correctness. It plays PSF and
# MiniPSF format files.
# .
# This package contains a plugin for Audacious based on
# the upse emulation library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


override_dh_auto_clean:
	[ ! -f buildsys.mk ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- DESTDIR=$(CURDIR)/debian/upse

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/upse

=== debian/watch ===
version=4
http://distfiles.atheme.org upse-(.*)\.tgz
